### Method

# Gtk.IconTheme.get_icon_names

#### Declaration [src]

    char**
    gtk_icon_theme_get_icon_names (
      GtkIconTheme* self
    )

#### Description [src]

Lists the names of icons in the current icon theme.

#### Return value

Returns: An array of `utf8`
a string array holding the names of all the icons in the theme. You must free the array using `g_strfreev()`.
Ownership of the data is transferred to the caller